<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'rewards'}}]">Rewards ></a>
            </li>
            <li class="">
                Add Traveller Rewards
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Add Traveller Rewards
                    </div>
                    <div class="card-body">
                        <form [formGroup]="travllerrewardForm" (ngSubmit)="onSubmit()">
                            <div>
                            <!-- <p> -->
                                <label for="">Country:</label>
                                <select class="form-control" formControlName="country" [(ngModel)]="selectedLevel"
                                    (change)="selected()" [ngClass]="{ 'is-invalid': submitted && f.country.errors }">
                                    <option value="{{country._id}}" *ngFor="let country of countries">{{country.name}}
                                    </option>
                                </select>
                                <div *ngIf="submitted && f.country.errors" class="invalid-feedback">
                                    <div *ngIf="f.country.errors.required">country is required</div>
                                </div>
                            <!-- </p> -->
                        </div>
                        <div>
                            <!-- <p> -->
                                <label for="">State:</label>
                                <select class="form-control" formControlName="state" placeholder="State"
                                    [(ngModel)]="stateid" (change)="stateSelected()"
                                    [ngClass]="{ 'is-invalid': submitted && f.state.errors }">
                                    <option value="{{state._id}}" *ngFor="let state of states">{{state.name}}
                                    </option>
                                </select>
                                <div *ngIf="submitted && f.state.errors" class="invalid-feedback">
                                    <div *ngIf="f.state.errors.required">state is required</div>
                                </div>
                            <!-- </p> -->
                        </div>
                        <div>
                            <!-- <p> -->
                                <label for="">City:</label>
                                <select class="form-control" formControlName="city" placeholder="City"
                                    [ngClass]="{ 'is-invalid': submitted && f.city.errors }">
                                    <option value="{{city._id}}" *ngFor="let city of cities">{{city.name}}
                                    </option>
                                </select>
                                <div *ngIf="submitted && f.city.errors" class="invalid-feedback">
                                    <div *ngIf="f.city.errors.required">city is required</div>
                                </div>
                            <!-- </p> -->
                        </div> <br>
                            <table class="table table-bordered" formArrayName="rewards">
                                <tr>
                                    <th colspan="3">Add Multiple Rewards: </th>
                                    <th width="150px"><button type="button" (click)="addRewards()"
                                            class="btn btn-primary">Add More</button></th>
                                </tr>
                                <tr *ngFor="let reward of rewards().controls; let i=index" [formGroupName]="i">
                                    <td>
                                        Reward details :
                                        <input type="text" formControlName="reward_details" class="form-control">
                                    </td>
                                    <td>
                                        Annual Cliam:
                                        <input type="text" formControlName="points_required" class="form-control">
                                    </td>
                                    <td>
                                        Points Required:
                                        <input type="text" formControlName="annual_claim" class="form-control">
                                    </td>
                                   
                                    <td>
                                        <button (click)="removeReward(i)" class="btn btn-danger">Remove</button>
                                    </td>
                                </tr>
                            </table>

                            <button type="submit" class="btn btn-success">Submit</button>

                        </form>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>